> ## Documentation Index
> Fetch the complete documentation index at: https://kaneo.app/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# listGitHubRepositories

> List all accessible GitHub repositories



## OpenAPI

````yaml GET /github-integration/repositories
openapi: 3.0.3
info:
  title: Kaneo API
  description: Kaneo Project Management API - Manage projects, tasks, labels, and more
  version: 1.0.0
servers:
  - url: https://cloud.kaneo.app/api
    description: Kaneo API Server
security:
  - bearerAuth: []
tags:
  - name: Organization Management
paths:
  /github-integration/repositories:
    get:
      tags:
        - GitHub
      summary: List Git Hub Repositories
      description: List all accessible GitHub repositories
      operationId: listGitHubRepositories
      responses:
        '200':
          description: List of repositories
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                    name:
                      type: string
                    full_name:
                      type: string
                    owner:
                      type: object
                      properties:
                        login:
                          type: string
                      required:
                        - login
                    private:
                      type: boolean
                    html_url:
                      type: string
                  required:
                    - id
                    - name
                    - full_name
                    - owner
                    - private
                    - html_url
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication

````